Jump to content

SUBIECTE NOI
« 1 / 5 »
RSS
Info Coronavirus/Vaccinare vs Fake News

Arzator dublu aragaz.

Presiune Centrala Ariston.

DVR 4 canale functioneaza cu un ...
 Redactare CV

Limite maxime amenzi contraven...

Folie protectoare pentru ecrane (...

Spalare masina sau nu
 Alternative la "we are sunset...

Încheiere penala dezinvestire

Traducere limba spaniola

Family Sharing "Ask to buy...
 CI+ (Telekom) și TV JVC

Umiditate Beci

Ariston decupleaza incalzire calo...

Retea interioara CATV proasta. So...
 

FATAL: kernel too old

- - - - -
  • Please log in to reply
7 replies to this topic

#1
Jimie

Jimie

    Member

  • Grup: Members
  • Posts: 527
  • Înscris: 13.04.2005
Salut,

Am incercat si eu sa upgradez apache-ul pe un vserver si am luat pachetul de la httpd2... dupaia imi zicea ca nu gaseste anumite librarii..
printre care GLIBC.2.4 .. si am facut upgrade.. am pus si GLIBC2.7 si 2.3.. si apoi m-am pomenit cu eroarea asta:

" FATAL: kernel too old "

Acum nu mai pot porni acel vserver...

Cine stie cum pot da remove la acel packet de pe vserver-ul ala ?

am incercat cu:
vserver wgw6 exec removepkg

dar imi zice:

'vserver ... suexec' is supported for running vservers only; aborting...

Multumesc

Edited by Jimie, 22 December 2008 - 18:56.


#2
soarce

soarce

    Active Member

  • Grup: Members
  • Posts: 1,467
  • Înscris: 02.10.2008
Da, glibc nu se schimba asa oricum.
Trebuie cumva sa bootezi de pe vreun cd de rescue si dupa aceea sa instalezi glibc-ul anterior.

#3
Jimie

Jimie

    Member

  • Grup: Members
  • Posts: 527
  • Înscris: 13.04.2005
Deci eu am instalat vserver ( util-server ) ala.. de faci mai multe masini virtuale pe server.. in /vservers/numele-serverului-virtual/var/log/packages/ imi apar versiunile astea de glibc:


glibc-2.3.2-i486-7
glibc-2.3.6-i486-3
glibc-2.7-i486-17
glibc-solibs-2.3.6-i486-3
glibc-solibs-2.4-x86_64-2
glibc-zoneinfo-2.3.6-noarch-3


Trebuie sa le dau remove la ultimele 5 .. dar vserverul ala nu-l mai pot porni... si nu am cum sa dau comanda:

removepkg ...

Edited by Jimie, 22 December 2008 - 19:48.


#4
soarce

soarce

    Active Member

  • Grup: Members
  • Posts: 1,467
  • Înscris: 02.10.2008
Tocmai asta e problema, sistemul nu mai este functional datorita conflictelor de versiune intre kernel si glibc. E normal sa nu mai poti initializa sistemul, si ai nevoie de un fel de rescue disc.

#5
Jimie

Jimie

    Member

  • Grup: Members
  • Posts: 527
  • Înscris: 13.04.2005
Pai si cum fac asta ? :(

Ma gandeam ceva cu rpm.. sa dea remove.. la toate versiunile de pe vserverul ala.. da nu`s cum sa dau sa le scoata de la vserverul ala si nu de pe serverul pe care este instala util-server-ul..

#6
soarce

soarce

    Active Member

  • Grup: Members
  • Posts: 1,467
  • Înscris: 02.10.2008
Sunt cativa pasi:

1) bootezi dupa un "rescue disk" sau "live disk", sau chiar de pe discul de instalare al sistemului insa fara a intra in procesul de instalare
2) montezi partiile (/, /usr, /var ... toate care sunt) sistemul ala bulit de pe disc intr-un director sa zicem nume_director_sistem_bulit, trebuie sa ai grija ca structura de directoare sa fie identica cu cea a sistemului bulit.
3) apoi faci CHROOT nume_director_sistem_bulit
4) iar acum folosesti removepkg ca sa inlaturi pachetele cu probleme si installpkg ca sa reinstalezi glibc-ul original.

Eu n-am mai facut chestia asta, dar se pare ca asa se face  :)  (Poti sa citescti aici http://rlworkman.net.../glibc-recovery chiar daca se refera la slackware).
Ca solutie finala, daca nu te descurci este reinstalarea sistemului....

#7
cianura

cianura

    Senior Member

  • Grup: Senior Members
  • Posts: 2,754
  • Înscris: 19.01.2004
Si de ce nu ar fi mai bun sa booteze cu un rescue disc, sa monteze partitiile /boot si / , sa copie kernelul si modulele de pe rescue disc pe partitiile montate si sa scrie grub-ul decit sa faca downgrade la glibc? Daca tot s-a apucat de upgrade, macar sa incerce pina la capat. Daca masina nu booteaza de nici o culoare, solutia e un rescue disc/usb stick. Instalarea unui kernel actualizat e de fapt o copiere a fisierelor binare in locatiile necesare si update de bootloader. Kernelul nu depinde de distributia de linux deci poti folosi kernel de la Slackware pe un redhat, etc.

#8
infernal

infernal

    Member

  • Grup: Members
  • Posts: 774
  • Înscris: 11.01.2006
Omul vorbeste despre un vserver si nu despre altceva.

Daca vserver -ul nu mai porneste faci chroot in /vservers/nume sau /var/lib/vservers/nume depinde unde le ai.
si apoi poti folosi cam tot ceea ce aveai in vserver -ul ala fara sa fie pornit.

Daca nu ai facut asta  presupun ca ori nu te-ai gandit ori nu stii de chroot.
Din root vserver faci chroot.

# chroot /vservers/numele_vserver-ului

sau unde il ai instalat.

Bineinteles kernelul din vserver este de fapt kernelul din root vserver.

Edited by infernal, 29 December 2008 - 21:12.


Anunturi

Chirurgia spinală minim invazivă Chirurgia spinală minim invazivă

Chirurgia spinală minim invazivă oferă pacienților oportunitatea unui tratament eficient, permițându-le o recuperare ultra rapidă și nu în ultimul rând minimizând leziunile induse chirurgical.

Echipa noastră utilizează un spectru larg de tehnici minim invazive, din care enumerăm câteva: endoscopia cu variantele ei (transnazală, transtoracică, transmusculară, etc), microscopul operator, abordurile trans tubulare și nu în ultimul rând infiltrațiile la toate nivelurile coloanei vertebrale.

www.neurohope.ro

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

Forumul Softpedia foloseste "cookies" pentru a imbunatati experienta utilizatorilor Accept
Pentru detalii si optiuni legate de cookies si datele personale, consultati Politica de utilizare cookies si Politica de confidentialitate